MARTe2-core - User story #245

Linux TCP socket
20.10.2015 11:18 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the Linux TCP socket stream based on the previous MARTe implementation.

Source code files modified

FileSystem/Environment/Linux/InternetAddressCore.h
FileSystem/Environment/Linux/InternetServiceCore.h
FileSystem/Environment/Linux/SocketSelectCore.h
FileSystem/Environment/Linux/SocketCore.h
FileSystem/InternetAddress.*
FileSystem/InternetService.*
FileSystem/BasicSocket.”
FileSystem/BasicTCPSocket.*
FileSystem/SocketSelect.*

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 09/11/2015
Person who did the review: R. Vitelli

Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS
List of non-conformities:

The current implementation uses a temporary version of SocketSelect, which will be further developed in the following sprints. For
this reason the low code coverage of SocketSelect is not considered an issue.

Associated revisions

Revision d794¢cb30 - 26.10.2015 17:02 - Giuseppe Ferro

Fixed compile errors for TCPSocket.h
#245

Revision d597fc0d - 27.10.2015 09:29 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#249_BufferedStreamGenerator' into #245_Linux_TCP_Socket

Revision d206bf28 - 27.10.2015 09:59 - Llorenc Capella
#245_Linux_File

BasicFile.h and BasicFile.cpp created.
Make files modified to include the new files.

Revision 78a86d38 - 28.10.2015 11:18 - Giuseppe Ferro

-Lint and documentation of SocketSelect.*
#245

Revision 828e72a4 - 28.10.2015 13:26 - Giuseppe Ferro

Added error reporting.
#245

Revision 93622079 - 28.10.2015 18:35 - Giuseppe Ferro

Added InternetAddress tests.
#245

Revision f54d500e - 28.10.2015 20:52 - Giuseppe Ferro

Renamed InternetAddress to InternetHost
#245

Revision 6345a0c1 - 28.10.2015 21:01 - Giuseppe Ferro

Merged with local #245 to apply renaming from InternetAddress to
InternetHost

Revision 122d6fe1 - 29.10.2015 11:52 - Giuseppe Ferro

Removed copy constructor from TCP socket
#245

Revision c159e146 - 29.10.2015 13:43 - Giuseppe Ferro

Changes in BasicSocket.h

- GetSource and GetDestination return by copy because the access to the
source and destination attributes is allowed now to the children.

- Removed GetConnectionSocket to avoid any access to the internal socket
handle which is not necessary.

- Put SocketSelect as a friend of BasicSocket because it needs the

access to the internal socket handle.

#245

Revision 2d38b609 - 29.10.2015 16:13 - Giuseppe Ferro

#245 Fixed some lint warnings.

Revision 42eb9a75 - 29.10.2015 16:14 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#247_Linux_UDP_Socket' into #245_Linux_TCP_Socket
Revision 4af0ced9 - 29.10.2015 16:22 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#247_Linux_UDP_Socket' into
#245 Linux_TCP_Socket

Conflicts:
Source/Core/FileSystem/L1Portability/BasicSocket.h
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp

Revision ¢37169da - 02.11.2015 17:31 - Giuseppe Ferro
#245 BasicTCPSocket tests done.

Revision 16f3804e - 02.11.2015 17:32 - Giuseppe Ferro
Merge branch '#245_Linux_TCP_Socket' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into #245_Linux_TCP_Socket

Revision 1e22bd1b - 02.11.2015 17:41 - Giuseppe Ferro

#245 Documentation improved

Revision 67aba904 - 02.11.2015 17:59 - Giuseppe Ferro
#245 Fixed lint warnings

Revision b2e1e817 - 02.11.2015 18:20 - Giuseppe Ferro

#245 Removed two useless lint exception comments.

Revision a2ce9bfa - 03.11.2015 16:32 - Giuseppe Ferro

Merge remote-tracking branch 'origin/#247_Linux_UDP_Socket' into
#245 Linux_TCP_Socket

Conflicts:
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp

Revision 4a0e2e24 - 03.11.2015 16:47 - Giuseppe Ferro
#245 Clean and improved tests

Revision dc71fbba - 03.11.2015 16:50 - Giuseppe Ferro

#245 Removed an unused header file

Revision 3bb3de75 - 03.11.2015 16:56 - Giuseppe Ferro
#245 Fixed test warnings

Revision ca9aidbe - 04.11.2015 20:46 - Giuseppe Ferro

#245 Fixed an error in tests

Revision 151e375d - 05.11.2015 14:37 - Riccardo Vitelli
#245 Fixed typos.

Revision 7469¢302 - 05.11.2015 16:17 - Giuseppe Ferro

#245 Removed two header inclusions

Revision e9b83168 - 05.11.2015 16:18 - Giuseppe Ferro
Merge branch '#245_Linux_TCP_Socket' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into #245_Linux_TCP_Socket

Revision 06a030e3 - 05.11.2015 16:29 - Giuseppe Ferro
#245 Improved error reporting

Revision 24¢2b762 - 05.11.2015 18:11 - Giuseppe Ferro
#245 Work in progress.
Revision ebf0193d - 05.11.2015 23:41 - Giuseppe Ferro
#245 Fixed the timeout

Revision f12377da - 06.11.2015 09:36 - Giuseppe Ferro
#245 Removed a test wich fails on other machines because of different

localhost

Revision aebf3659 - 06.11.2015 12:57 - Giuseppe Ferro

#245 Fixed tests and fixed makefile in order to avoid clean each time.

Revision e9a1fd81 - 06.11.2015 13:13 - Giuseppe Ferro
#245 Improved makefile.

History

#1 - 23.10.2015 13:21 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:24 - André Neto

- Description updated

#3 - 23.10.2015 13:29 - André Neto

- Target version set to 0.7

#4 - 26.10.2015 15:27 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 28.10.2015 11:18 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 28.10.2015 11:22 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

code implementation done: 78a86d3

#7 - 29.10.2015 12:04 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#8 - 29.10.2015 17:29 - Riccardo Vitelli
- Description updated

#9 - 05.11.2015 14:37 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl

#10 - 05.11.2015 14:38 - Riccardo Vitelli

- Assignee changed from Riccardo Vitelli to Giuseppe Ferro

#11 - 09.11.2015 09:44 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#12 - 09.11.2015 09:44 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Riccardo Vitelli

#13 - 09.11.2015 10:21 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)
#14 - 09.11.2015 10:21 - Riccardo Vitelli

- Status changed from Unit: Rev to Closed

#15 - 30.11.2015 11:47 - lvan Herrero

- Description updated
